
# define/set to include plasma applet
%define plasma_applet 1
%define monolithic 1

%define snap 20100603

Name:           kde-plasma-networkmanagement
Epoch:          1
Version:        0.9
Release:        0.20.%{snap}%{?dist}
Summary:        NetworkManager KDE 4 integration

Group:          Applications/Internet
License:        (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and LGPLv2
URL:            http://en.opensuse.org/KNetworkManager
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# The source for this package was pulled from upstream's Subversion repository
# using the create_tarball.rb script from kdesdk trunk:
# ./create_tarball.rb -n -a networkmanagement
# Please always use create_tarball.rb so translations get included.
Source0:        networkmanagement-%{version}-%{snap}.tar.bz2

# adds to NM_* cmake build options used below.  Mostly for testing purposes.
Patch1: networkmanagement-0.9-build_options.patch

# Disable kded module by default, as was versions initially shipped in < f14
Patch2: networkmanagement-0.9-disable_kded.patch

## upstreamable patches
# Adding "Enable networking" button to knetworkmanager
# https://bugs.kde.org/238325
Patch50: networkmanagement-kdebug238325.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  kdebase-workspace-devel
BuildRequires:  NetworkManager-glib-devel >= 0.7.0
BuildRequires:  PolicyKit-devel
BuildRequires:  qt4-devel
BuildRequires:  gettext

Requires: NetworkManager

# multilib upgrades
Obsoletes: kde-plasma-networkmanagement < 0.1-0.21
Obsoletes: kde-plasma-networkmanagement-devel < 0.1-0.21

Requires: knetworkmanager-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

# only want one of knetworkmanager-autostart or kde-plasma-networkmanagement installed
#Conflicts: knetworkmanager-autostart

%description
A Plasma applet to control your wired and wireless network(s) in KDE 4 using
the default NetworkManager service.

This Plasma applet is beta software with known issues and is available for 
testing purposes only.  We recommend using knetworkmanager (the system tray
version) for production use.

%package -n kde-plasma-networkmanagement-autostart
Summary: autostart support for kde-plasma-networkmanagement 
Group: Applications/Internet
Requires: kde-plasma-networkmanagement = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: kde-plasma-networkmanagement < 1:0.9-0.20
# only want one of knetworkmanager or kde-plasma-networkmanagement installed
#Conflicts: knetworkmanager
%description -n kde-plasma-networkmanagement-autostart
%{summary}.

%package -n knetworkmanager
Summary: NetworkManager KDE 4 integration
Group: Applications/Internet
Requires: knetworkmanager-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: knetworkmanager4 < %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%package -n knetworkmanager-autostart
Summary: autostart support for knetworkmanager 
Group: Applications/Internet
Requires: knetworkmanager = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: knetworkmanager < 1:0.9-0.20 
# only want one of knetworkmanager or kde-plasma-networkmanagement installed
Conflicts: kde-plasma-networkmanagement
%description -n knetworkmanager-autostart
%{summary}.

%package -n knetworkmanager-libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
Obsoletes: knetworkmanager4-libs < %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-libs
%{summary}.

%package -n knetworkmanager-openvpn
Summary:        OpenVPN support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager-libs = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-openvpn
Obsoletes:      kde-plasma-networkmanagement-openvpn < %{?epoch:%{epoch}:}%{version}-%{release} 
Provides:       kde-plasma-networkmanagement-openvpn = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      knetworkmanager4-openvpn < %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-openvpn
%{summary}.

%package -n knetworkmanager-pptp
Summary:        PPTP support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       NetworkManager-pptp
Obsoletes:      kde-plasma-networkmanagement-pptp < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       kde-plasma-networkmanagement-pptp = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      knetworkmanager4-pptp < %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-pptp
%{summary}.

%package -n knetworkmanager-strongswan
Summary:        strongswan support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       strongswan 
Obsoletes:      kde-plasma-networkmanagement-pptp < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       kde-plasma-networkmanagement-pptp = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-strongswan
%{summary}.

%package -n knetworkmanager-vpnc
Summary:        Vpnc support for knetworkmanager
Group:          Applications/Internet
Requires:       knetworkmanager-libs = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires:       NetworkManager-vpnc
Obsoletes:      kde-plasma-networkmanagement-vpnc < %{?epoch:%{epoch}:}%{version}-%{release} 
Provides:       kde-plasma-networkmanagement-vpnc = %{?epoch:%{epoch}:}%{version}-%{release} 
Obsoletes:      knetworkmanager4-vpnc < %{?epoch:%{epoch}:}%{version}-%{release}
%description -n knetworkmanager-vpnc
%{summary}.


%prep
%setup -q -n networkmanagement-%{version}

%patch1 -p1 -b .build_options
%if 0%{?fedora} && 0%{?fedora} < 14
%patch2 -p1 -b .disable_kded
%endif
%patch50 -p0 -b .kdebug238325


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DDBUS_SYSTEM_POLICY_DIR=%{_sysconfdir}/dbus-1/system.d \
  %{?plasma_applet:-DNM_PLASMA_APPLET=BOOL:ON} \
  %{?monolithic:-DNM_MONOLITHIC=BOOL:ON -DINSTALL_KNM_AUTOSTART=BOOL:ON} \
  ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast -C %{_target_platform} DESTDIR=%{buildroot} PREFIX=%{_prefix}

## unpackaged files
# nuke -devel type stuff for which there isn't a public API
rm -fv %{buildroot}%{_kde4_libdir}/libknm{client,internals,service,ui}.so
# novellvpn bits (TODO: what is it?)
rm -fv %{buildroot}%{_kde4_libdir}/kde4/networkmanagement_novellvpnui.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/networkmanagement_novellvpnui.desktop
# strongswan bits
rm -fv %{buildroot}%{_kde4_libdir}/kde4/networkmanagement_strongswanui.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/networkmanagement_strongswanui.desktop

%find_lang knetworkmanager --with-kde
%find_lang libknetworkmanager 
%find_lang plasma_applet_networkmanagement


%clean
rm -rf %{buildroot}

%if 0%{?monolithic}
%post -n knetworkmanager
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun -n knetworkmanager
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%posttrans -n knetworkmanager
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
%endif

%post -n knetworkmanager-libs -p /sbin/ldconfig

%postun -n knetworkmanager-libs -p /sbin/ldconfig


%files -f plasma_applet_networkmanagement.lang
%defattr(-,root,root,-)
%if 0%{?plasma_applet}
%{_kde4_appsdir}/desktoptheme/default/icons/*
%{_kde4_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kded/networkmanagement.desktop
%{_kde4_libdir}/kde4/plasma_applet_networkmanagement.so
#files autostart
#defattr(-,root,root,-)
%{_kde4_datadir}/kde4/services/kded/networkmanagement.desktop
%{_kde4_libdir}/kde4/kded_networkmanagement.so
%endif

%files -n knetworkmanager -f knetworkmanager.lang
%defattr(-,root,root,-)
%if 0%{?monolithic}
%{_kde4_bindir}/knetworkmanager
%{_kde4_datadir}/applications/kde4/knetworkmanager.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
#files -n knetworkmanager-autostart
#defattr(-,root,root,-)
%{_kde4_datadir}/autostart/kde4-knetworkmanager-autostart.desktop

%files -n knetworkmanager-libs -f libknetworkmanager.lang
%defattr(-,root,root,-)
%doc TODO DESIGN COPYING COPYING.LIB
%{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_libexecdir}/networkmanagement_configshell
%{_kde4_appsdir}/networkmanagement/
%{_kde4_datadir}/kde4/services/kcm_networkmanagement.desktop
%{_kde4_datadir}/kde4/services/kcm_networkmanagement_tray.desktop
%{_kde4_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop
%{_kde4_libdir}/kde4/kcm_networkmanagement.so
%{_kde4_libdir}/kde4/kcm_networkmanagement_tray.so
%{_kde4_libdir}/libknmclient.so.4*
%{_kde4_libdir}/libknminternals.so.4*
%{_kde4_libdir}/libknmservice.so.4*
%{_kde4_libdir}/libknmui.so.4*
# Unversioned libraries
%{_kde4_libdir}/libknm_nm.so
%{_kde4_libdir}/libsolidcontrolfuture.so

%files -n knetworkmanager-openvpn
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop

#files -n knetworkmanager-novellvpn
#defattr(-,root,root,-)
#{_kde4_libdir}/kde4/networkmanagement_novellvpnui.so
#{_kde4_datadir}/kde4/services/networkmanagement_novellvpnui.desktop

%files -n knetworkmanager-vpnc
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop

%files -n knetworkmanager-pptp
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/networkmanagement_pptpui.so
%{_kde4_datadir}/kde4/services/networkmanagement_pptpui.desktop
%endif


%changelog
* Thu Jun 03 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.20.20100603
- 20100603 snapshot
- Add "Enable networking" button to knetworkmanager (rh#598765,kde#238325)

* Mon Apr 19 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.19.20100419
- 20100419 snapshot

* Thu Apr 01 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.18.20100401
- 20100401 snapshot
- (re)add warning about plasma applet stability

* Fri Mar 19 2010 Jaroslav Reznik <jreznik@redhat.com> 1:0.9-0.17.20100310
- split out PPTP VPN ui to -pptp

* Wed Mar 10 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.16.20100310
- 20100310 kdereview snapshot
- vpn-related fixes/improvements to plasmoid

* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.15.20100309
- move common items to -libs, make knm,-nm installable separately.

* Tue Mar 09 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.14.20100309
- 200100309 snapshot
- on queue, plasmoid reportedly ready for wider testing, re-enabling (#571433)

* Mon Mar 08 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.13.20100220svn
- make kde-plasma-neworkmanagment an empty placeholder package (#571433)
- knetworkmanager: move kcm_networkmanagement_tray bits here (from kde-plasma-nm)

* Sun Feb 21 2010 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.12.20100220svn
- update to revision 1093233 (2010-02-20)
- use user-readable URL instead of outdated websvn link
- include translations (#566386, use create_tarball.rb script from kdesdk trunk)

* Wed Feb 10 2010 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.11.20100210svn
- update to revision 1088283 (2010-02-10)
- drop F10 conditionals
- warn about the plasmoid being experimental, recommend knetworkmanager
- drop minimum version requirements for qt and kdelibs, not needed anymore

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.10.20091220svn
- -libs: use %%{_kde4_version}

* Mon Dec 21 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.9.20091220svn
- 20091220 snapshot
- -libs: use/tighten qt4/kdelibs4 deps

* Tue Nov 24 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.9-0.8.20091124svn
- New snapshot
- BR: qt4-devel >= 4.6.0

* Tue Nov 24 2009 Ben Boeckel <MathStuf@gmail.com> - 1:0.9-0.7.20091024svn
- Rebuild for Qt 4.6b1 ABI break

* Sun Oct 25 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.6.20091024svn
- Rebuild with new sources

* Sun Oct 25 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.5.20091024svn
- New snapshot

* Sun Oct 25 2009 Kevin Kofler <Kevin@tigcc.ticalc.org>  1:0.9-0.4.20090930svn
- Build as knetworkmanager4 for F10 so KDE 3 KNM users are not forced to upgrade
- Obsolete knetworkmanager4 (and keep replacing the KDE 3 KNM) on F11+

* Wed Sep 30 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.3.20090930svn
- New snapshot

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.2.20090919svn
- Add back missing Requires:

* Mon Sep 21 2009 Ben Boeckel <MathStuf@gmail.com> 1:0.9-0.1.20090919svn
- Version seems to be .9 now
- Fix trailing spaces
- New snapshot

* Tue Sep 15 2009 Rex Dieter <rdieter@fedoraproject.org> 1:0.8-0.22.20090815svn
- Epoch: 1

* Fri Aug 28 2009 Rex Dieter <rdieter@fedoraproject.org> 0.8-0.21.20090815svn
- use knetworkmanager pkg names
- quasi-artificially inflate version to 0.8 (for now), to simplify upgrade path
  for knetworkmanager-0.7 (from F-10)
- nuke -devel pkg
- drop references to short-lived kde-plasma-networkmanager

* Sat Aug 15 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.20.20090815svn
- New snapshot
- optimize scriptlets
- -libs subpkg, multilib-friendly

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.19.20090726svn
- Add BR on kdelibs-experimental-devel

* Mon Jul 27 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.18.20090726svn
- New snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.17.20090602svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.16.20090602svn
- Requires: NetworkManager

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.15.20090602svn
- Remove patch and use wildcards instead

* Wed Jun 03 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.14.20090602svn
- New snapshot (revision 976742 committed 2009-06-02 13:47 UTC)

* Thu May 21 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.13.20090519svn
- Give the internal libs sonames independent of the KDE version (fix F12 build)

* Wed May 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.12.20090519svn
- New snapshot (revision 970021 committed 2009-05-19 13:34 UTC)

* Tue May 05 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.11.20090504svn
- New snapshot (revision 963263 committed 2009-05-04 10:57 UTC)
- Clarify %%description

* Fri Apr 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.10.20090424svn
- Respin snapshot
- Add disclaimer to %%description

* Wed Apr 8 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.9.20090403svn
- Respin snapshot

* Tue Mar 3 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.8.20090302svn
- Respin snapshot

* Tue Mar 3 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1-0.7.20090217svn
- Obsoletes/Provides knetworkmanager on F11+ for upgrade paths

* Tue Feb 24 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.6.20090217svn
- Moved P/O to correct places

* Sat Feb 21 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.5.20090217svn
- Fixed Provides to have a version
- Fixed Obsoletes/Provides for subpackages
- Fixed licensing

* Fri Feb 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.4.20090217svn
- Fixed Obsoletes/Provides
- Fixed URL

* Sat Feb 7 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.3.20090207svn
- Add changelog
- Added tarball creation
- Changed name to kde-plasma-networkmanagement

* Tue Jan 13 2009 Rex Dieter <rdieter[AT]fedoraproject.org> 0.1-0.2.20090111svn
- General cleanup

* Sun Jan 11 2009 Ben Boeckel <MathStuf@gmail.com> 0.1-0.1.20090111svn
- Initial package
